/* $Id: ttydef.h,v 1.2 2004/12/29 13:15:49 dtana Exp $ */
/*
 *	Termcap terminal file, nothing special, just make it big
 *	enough for windowing systems.
 */
#if defined(PC9801)||defined(WIN32)	/* 90.03.24  by A.Shirahashi */
#define	MEMMAP			/* Not memory mapped video.	*/
#else	/* not !PC9801 && !WIN32 */
#define GOSLING			/* Compile in fancy display.	*/
#endif	/* PC9801 */

#if !(defined(NROW)&&defined(NCOL))
#if defined(MSDOS)	/* 90.04.02  by S.Yoshida */
#define NROW	50			/* (default) Rows.		*/
#define NCOL	80			/* (default) Columns.		*/
#elif defined(HUMAN68K)	/* by Sawayanagi Yosirou */
#define NROW	32			/* (default) Rows.		*/
#define NCOL	96			/* (default) Columns.		*/
#else /* not MSDOS or HUMAN68K */
#define NROW	66			/* (default) Rows.		*/
#define NCOL	132			/* (default) Columns.		*/
#endif	/* MSDOS or HUMAN68K */
#endif	/* NROW && NCOL */
/* #define	MOVE_STANDOUT		/* don't move in standout mode	*/
#define STANDOUT_GLITCH			/* possible standout glitch	*/
#define TERMCAP				/* for possible use in ttyio.c	*/

#ifdef	DO_METAKEY
#ifndef METABIT
#define METABIT 0x100
#endif	/* METABIT */
#endif	/* DO_METAKEY */

#define getkbd()	(ttgetc())
#define	ungetkbd(c)	(ttungetc(c))

#ifndef XKEYS
# ifdef	ADDOPT
#define ttykeymapinit(ngrc) {}
# else
#define ttykeymapinit() {}
# endif
#endif

extern	int tputs();
#define	putpad(str, num)	tputs(str, num, ttputc)

#define	KFIRST	K00
#define	KLAST	K00
